Get Pipeline Template Version
GET
/v1/pipelines/templates/{pipeline_template_id}/versions/{version}
const url = 'https://junction-api.qualiastudios.dev/v1/pipelines/templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1';const options = {method: 'GET', headers: {'X-API-Key': '<X-API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://junction-api.qualiastudios.dev/v1/pipelines/templates/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/versions/1 \ --header 'X-API-Key: <X-API-Key>'One version of the template, as it was applied.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” pipeline_template_id
required
string format: uuid
version
required
integer
Responses
Section titled “ Responses ”Successful Response
Media type application/json
TemplateVersion
One immutable version of a template, its graph as it was then.
object
pipeline_template_id
required
string format: uuid
name
required
string
version
required
integer
description
The template’s current description; a version holds its graph and outputs
string | null
graph
required
object
key
additional properties
any
outputs
Array<object>
TemplateOutputA port a run of the template answers with, read from one node.
object
name
required
string
from
required
{node, port}
object
key
additional properties
string
retired
required
boolean
Example generated
{ "pipeline_template_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "version": 1, "description": "example", "graph": {}, "outputs": [ { "name": "example", "from": { "additionalProperty": "example" } } ], "retired": true}Invalid or missing API key
Media type application/json
ErrorResponse
Standard error response.
object
detail
required
Error message describing what went wrong
string
Example generated
{ "detail": "example"}Missing capability on the workspace
Media type application/json
ErrorResponse
Standard error response.
object
detail
required
Error message describing what went wrong
string
Example generated
{ "detail": "example"}Template or version not found
Media type application/json
ErrorResponse
Standard error response.
object
detail
required
Error message describing what went wrong
string
Example generated
{ "detail": "example"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Array<object>
ValidationErrorobject
loc
required
Location
Array<string | integer>
msg
required
Message
string
type
required
Error Type
string
input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}